> For the complete documentation index, see [llms.txt](https://docs.yarnspinner.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yarnspinner.dev/api/csharp/yarn/yarn.constanttypeproperty.md).

# ConstantTypeProperty

Class in [Yarn](/api/csharp/yarn.md)

Inherits from `System.Object`

## Summary

Represents a property that belongs to a type and contains a read-only value.

```csharp
public class ConstantTypeProperty : ITypeMember
```

## Remarks

This kind of type member is useful for constant properties, like enum cases.

## Properties

| Name                                                                                               | Description                                     |
| -------------------------------------------------------------------------------------------------- | ----------------------------------------------- |
| [Description](/api/csharp/yarn/yarn.constanttypeproperty/yarn.constanttypeproperty.description.md) | Gets a string describing this property.         |
| [Type](/api/csharp/yarn/yarn.constanttypeproperty/yarn.constanttypeproperty.type.md)               | Gets the type of this property.                 |
| [Value](/api/csharp/yarn/yarn.constanttypeproperty/yarn.constanttypeproperty.value.md)             | Gets the value that is stored in this property. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/api/csharp/yarn/yarn.constanttypeproperty.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
